## tasksel 3.49

=== debian/changelog ===
tasksel (3.49) unstable; urgency=medium
  * Team upload

  [ Tetsutaro KAWADA ]
  * task-japanese-gnome-desktop: rename icedove back to thunderbird.
    (Closes: #914605)

  [ Roland Clobus ]
  * Replace myspell-en-gb by hunspell-en-gb in task-british-desktop. The
    former is no longer in unstable, and has already been a transitional
    package for the latter.

  [ Michael Biebl ]
  * Drop anacron from task-desktop and task-laptop. Closes: #915370

  [ Holger Wansing ]
  * Remove empty Recommends: from control file, to fix lintian tag.
  * task-lxde-desktop: Fix duplicate Recommends: on libreoffice-gtk2.
  * Remove trailing whitespaces from control file, to fix lintian tag.
  * Remove aspell-de-alt (a dictionary for the old german orthography, which
    is obsolete since 1996) from task-german. Closes: #917274

  [ Updated debconf translations ]
  * Romanian (ro.po) by Andrei POPESCU

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 25 Dec 2018 20:55:39 +0100

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>,
           Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Standards-Version: 4.1.4
Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git

Package: tasksel
Section: admin
Priority: important
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Priority: important
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
# For use by third-party apps.
	xdg-utils,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# support for U2F devices
	libu2f-udev,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	plasma-nm,
# Package management.
	apper,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# KDE support in LibreOffice
	libreoffice-kde5,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,
# media player
	dragonplayer,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk2,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
         sddm,
         sddm-theme-debian-elarun | sddm-theme-debian-elarun,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm,
	light-locker
Recommends:
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-mixer,
	xfce4-terminal,
# xfce text editor
	mousepad,
# calendar application
	orage,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome,
# package management
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print server
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,
# orca works with mate, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
Recommends:
	avahi-autoipd,
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-print-server
Architecture: all
Description: print server
 This task sets up your system to be a print server.
Depends: ${misc:Depends},
	cups,
	cups-client,
	cups-bsd,
Recommends:
	foomatic-db-engine,
	printer-driver-all,
	hplip,
	hp-ppd,
	openprinting-ppds,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt4,
	fcitx-frontend-qt5,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	fonts-kacst,
	fonts-farsiweb,
	firefox-esr-l10n-ar | firefox-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	kde-l10n-ar

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian
 to help Asturian speaking people use Debian.
Depends: ${misc:Depends},

Package: task-asturian-desktop
Architecture: all
Description: Asturian desktop
 This task localises the desktop in Asturian.
Depends: ${misc:Depends},
Recommends:
	libreoffice-l10n-ast,
	firefox-esr-l10n-ast | firefox-l10n-ast,

Package: task-basque
Architecture: all
Description: Basque environment
 This task installs packages and documentation in Basque
 to help Basque speaking people use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-eu-es

Package: task-basque-desktop
Architecture: all
Description: Basque desktop
 This task localises the desktop in Basque.
Depends: ${misc:Depends},

## tasksel 3.50

=== debian/changelog ===
tasksel (3.50) unstable; urgency=medium
  * Team upload.

  [ Yves-Alexis Perez ]
  * task-xfce-desktop: drop dependency on orage since it will be removed
    before Buster

  [ Holger Wansing ]
  * task-kannada-desktop: move 'firefox-esr-l10n-kn | firefox-l10n-kn' from
    Depends to Recommends, as it is for all other language task, to fix
    #913159 for Buster.
  * Remove trailing whitespace from control file, to fix lintian tag.
  * task-chinese-t-desktop: switch input method from scim to fcitx for
    Traditional Chinese. Closes: #680668

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 08 Feb 2019 22:28:45 +0100

=== debian/control ===
--- 
+++ 
@@ -221,8 +221,6 @@
 	xfce4-terminal,
 # xfce text editor
 	mousepad,
-# calendar application
-	orage,
 # xfce is really improved by using dbus
 	default-dbus-session-bus | dbus-session-bus,
 # support for scanners
@@ -452,3 +450,4 @@
 Description: Basque desktop
  This task localises the desktop in Basque.
 Depends: ${misc:Depends},
+Recommends:

## tasksel 3.52

=== debian/changelog ===
tasksel (3.52) unstable; urgency=medium
  * Team upload.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 02 Apr 2019 22:48:50 +0200

tasksel (3.51) unstable; urgency=medium
  * Team upload.

  * Add firefox-l10n-ne-np to task-nepali-desktop. Closes: #922123
  * Re-add anacron to task-desktop and task-laptop (removed in 3.49).
    Closes: #924037, #915370
  * task-catalan-desktop: replace removed myspell-ca by hunspell-ca.
    Closes: #910615
  * task-greek-desktop: remove no longer existing fonts-mgopen. Closes: #823150
  * Some clean-up: (Closes: #923975)
      * Remove several no longer existing packages.
      * Remove some badly outdated documentation packages.
      * Replace some transitional packages by their Depends.
      * Correct name inconsistency in tasks/uyghur-desktop.
  * Replace transitional package myspell-bg by its Depends hunspell-bg.
    Closes: #824729
  * Replace some more myspell-* transitional packages by their Depends
    (hunspell-*).

  [ Updated debconf translations ]
  * Danish (da.po) by Joe Dalton.
  * Norwegian Bokmål (nb.po) by Petter Reinholdtsen.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 10 Mar 2019 23:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>,
-           Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+           Nicolas Braud-Santoni <nicoo@debian.org>
 Standards-Version: 4.1.4
 Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
 Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
@@ -51,6 +51,8 @@
 # mdns/zeroconf stuff
 	avahi-daemon,
 	libnss-mdns,
+# desktop machines might not be up 24/7
+	anacron,
 # Make sure that CDs etc can be ejected. May not be installed by d-i.
 	eject,
 # wireless networking tools (they're more and more used on desktops too)
@@ -300,6 +302,7 @@
 Description: laptop
  This task package installs software useful for a laptop.
 Depends: ${misc:Depends},
+	anacron,
 Recommends:
 	avahi-autoipd,
 	bluetooth,
@@ -449,5 +452,3 @@
 Architecture: all
 Description: Basque desktop
  This task localises the desktop in Basque.
-Depends: ${misc:Depends},
-Recommends:

## tasksel 3.53

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 644 default_desktop $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/tasksel/tests
	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
	for lang in $(LANGS_DESC); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 tasks/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

clean:
	rm -f $(TASKDESC) *~
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.53) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927489)

  [ Updated debconf translations ]
  * Korean (ko.po) by Changwoo Ryu.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 23 May 2019 05:57:05 +0200

## tasksel 3.53.lnd.1+nmu1

=== debian/changelog ===
tasksel (3.53.lnd.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:29:33 +0800

tasksel (3.53.lnd.1) unstable; urgency=medium

  * Delete temporarily unsupported desktops in loongarch64 platform

 -- Huang Jia Wen <huanjiawen@loongson.cn>  Mon, 13 Sep 2021 15:13:05 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: tasks
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>,
-           Nicolas Braud-Santoni <nicoo@debian.org>
+Uploaders: Nicolas Braud-Santoni <nicoo@debian.org>
 Standards-Version: 4.1.4
 Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
 Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
@@ -452,3 +451,5 @@
 Architecture: all
 Description: Basque desktop
  This task localises the desktop in Basque.
+Depends: ${misc:Depends},
+Recommends:

## tasksel 3.54+devuan4

=== debian/changelog ===
tasksel (3.54+devuan4) beowulf; urgency=medium

  * task-desktop: add Recommends: debian-pulseaudio-config-override.
  * d/control:
     - update Vcs-* following gitea migration
     - add Origin: Devuan
  * d/changelog: fix formatting and remove merge cruft (lintian).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 14 Jan 2021 17:15:33 +0000

tasksel (3.54+devuan3) unstable; urgency=medium

  * Cherry pick from upstream: Add task-print-server transitional package. (Closes: #932818)

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 07 Jan 2020 20:10:06 +0000

tasksel (3.54+devuan2) unstable; urgency=medium

  * Remove light-locker recommendation from task-xfce-desktop.
  * Add default debian-tag to d/gbp.conf.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 07 Jan 2020 11:40:35 +0000

tasksel (3.54+devuan1) unstable; urgency=medium

  * Change to Devuan Team maintenance.
  * Add myself to uploaders.
  * Update Vcs-* fields.
  * Update d/gbp.conf.
  * Change LXQt desktop description to reference Devuan.
  * All tasks requiring a display manager specify lightdm | slim part from
    task-xfce-desktop which reverses the order.
  * Now slim and lightdm both depend on logind | consolekit, we no longer
    need to include them in tasks.
  * Remove policykit-1-gnome from task-xfce-desktop as it is now recommended by policykit-1.
  * Remove unnecessary trailing whitespace.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 10 Dec 2019 18:25:14 +0000

tasksel (3.54) unstable; urgency=low

  [ Guillem Jover ]
  * Improve print service task and description. (Closes: #696658)

  [ Didier Raboud ]
  * task-print-service: Drop dependencies on cups-* implied by cups itself
    Closes: #824645

  [ Nicolas Braud-Santoni ]
  * task-xfce-desktop: Downgrade dependency on light-locker (Closes: #827562)
    light-locker creates issues on some platforms (not available on kFreeBSD or
    Hurd) and creates issues for users who prefer xscreensaver.

  * Comply with policy v4.4.0
    + Specify Rules-Requires-Root: no

  [ Adam Borowski ]
  * task-desktop: Recommend fonts-symbola. (Closes: #902321)
    This font provides a wide coverage of Unicode (incl. symbols, emojis, ...)

  [ Daniel Lewart ]
  * Remove dependencies on transitional packages. (Closes: #929746)

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 13 Jul 2019 12:20:31 +0200

tasksel (3.48+devuan1.1) unstable; urgency=medium

  * remove xfce4-mixer from xfce-desktop

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 04 Feb 2019 07:04:38 +0000

tasksel (3.48+devuan1) unstable; urgency=medium

  * merged 3.48 into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 18 Nov 2018 10:52:37 +0000

tasksel (3.47+devuan1) unstable; urgency=medium

  * merged 3.47 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 02 Nov 2018 15:25:00 +0000

tasksel (3.39+devuan1.9) ascii; urgency=medium

  * added policykit-1-gnome as a dep to task-xfce-desktop
    fixes synaptic bug in ascii-rc

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 16 May 2018 23:59:52 +0100

tasksel (3.39+devuan1.8) ascii; urgency=medium

  * removed lxde from the list of desktops

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 02 May 2018 11:34:46 +0100

tasksel (3.39+devuan1.7) ascii; urgency=medium

  * removed "Testing" from KDE, Cinnamon, LXQt description
  * fixed dependencies on the correct polkit backends

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 13 Apr 2018 20:20:41 +0100

tasksel (3.39+devuan1.6.1) ascii; urgency=medium

  [ KatolaZ ]
  * amended desktop tasks positions

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Feb 2018 21:43:17 +0000

tasksel (3.39+devuan1.6) ascii; urgency=medium

  * amended console-productivity

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 11 Feb 2018 07:13:15 +0000

tasksel (3.39+devuan1.5) ascii; urgency=medium

  * added lxqt as an option 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 10 Feb 2018 21:36:45 +0000

tasksel (3.39+devuan1.4) ascii; urgency=medium

  * readded desktops
  * included console-productivity

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 10 Feb 2018 18:21:36 +0000

tasksel (3.39+devuan1.3) ascii; urgency=medium

  * another tiny bug in  tasksel.pl 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 27 Jan 2018 17:34:33 +0000

tasksel (3.39+devuan1.2) ascii; urgency=medium

  * fixed bug in pkgsel.pl

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 27 Jan 2018 15:20:17 +0000

tasksel (3.39+devuan1.1) ascii; urgency=medium

  * patched to exclude any systemd-related packages in "standard"

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 26 Jan 2018 22:34:31 +0000

tasksel (3.39+devuan1) ascii; urgency=medium

  * enabling testmode to debug a crash when selecting
	  standard utils

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 26 Jan 2018 15:29:17 +0000

tasksel (3.33+devuan1.0) unstable; urgency=medium

  * merged experimental into jessie

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 28 Apr 2017 14:54:07 +0100

tasksel (3.33+devuan0.5) unstable; urgency=medium

  [ KatolaZ ]
  * removed desc files for GNOME and KDE in tasks...
  * moved GNOME and KDE  files into "unwanted_tasks"
  * Added a README.Devuan
  * Reintroduced two dependencies in control (task-desktop)

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 28 Apr 2017 10:14:05 +0100

tasksel (3.33+devuan0.4) unstable; urgency=medium

  [ KatolaZ ]
  * creating suite suites/experimental

  [ Vincenzo (KatolaZ) Nicosia ]

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 28 Apr 2017 01:01:37 +0100

tasksel (3.33+devuan0.3) unstable; urgency=medium

  * use wicd for xfce, mate, lxde desktops

 -- Daniel Reurich <daniel@centurion.net.nz>  Sat, 13 Jun 2015 08:53:50 +0000

tasksel (3.33+devuan0.2) unstable; urgency=medium



=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
	   Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.4.0
Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0), git, devuan-keyring
Vcs-Git: https://git.devuan.org/devuan/tasksel.git
Vcs-Browser: https://git.devuan.org/devuan/tasksel
Rules-Requires-Root: no
Origin: Devuan

Package: tasksel
Section: admin
Priority: important
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: tool for selecting tasks for installation on Devuan systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Priority: important
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Conflicts: tasksel (<< 2.67)
Description: official tasks used for installation of Devuan systems
 This package contains data about the standard tasks available on a Devuan
 system.

Package: task-desktop
Architecture: all
Description: Devuan desktop environment
 This task package is used to install the Devuan desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop ,
#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# support for U2F devices
	libu2f-udev,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# Fix pulseaudio config on Devuan
	debian-pulseaudio-config-override,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Devuan desktop, featuring
 the GNOME desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-kde-desktop
Architecture: all
Description: KDE
 This task package is used to install the Devuan desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
#	sddm,
	lightdm | slim,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	plasma-nm,
# Package management.
	apper,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# KDE support in LibreOffice
	libreoffice-kde5,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# media player
	dragonplayer,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Devuan desktop, featuring
 the LXDE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm | slim,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk2,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Devuan desktop, featuring
 the LXQt desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
#        sddm,
#         sddm-theme-maui | sddm-theme,
         lightdm | slim,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce (Default)
 This task package is used to install the Devuan desktop, featuring
 the Xfce desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	slim | lightdm,
Recommends:
# a screen saver/locker
## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	wicd,
# package management
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Devuan desktop, featuring
 the Cinnamon desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment,
	lightdm | slim,

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Devuan desktop, featuring
 the MATE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm | slim,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	wicd,
# orca works with mate, adding accessability
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	avahi-autoipd,
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-print-service
Architecture: all
Description: print service
 This task sets up your system to provide print services. It is required to
 use printers plugged into your system, network printers, or to make available
 printers plugged into this system to other network systems.
Provides: task-print-server
Depends: ${misc:Depends},
	cups
Recommends:
	foomatic-db-engine,
	printer-driver-all,
	hplip,
	hp-ppd,
	openprinting-ppds,

Package: task-print-server
Architecture: all
Section: oldlibs
Description: print service -- transitional package
 This task sets up your system to provide print services. It is required to
 use printers plugged into your system, network printers, or to make available
 printers plugged into this system to other network systems.
 .
 This is a transitional package, task-print-server was renamed to
 task-print-service.
Depends: ${misc:Depends}, task-print-service

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-console-productivity
Architecture: all
Description: Console productivity
 This task installs the console-based tools available in Devuan
 minimal live. It includes a variety of utilities for system
 administration, clients for Internet protocols, programs for
 personal productivity and multimedia, games, and specofic tools
 for blind users.
Depends: ${misc:Depends},
Recommends:
        dialog,
        zsh,
## admin tools
        entr,
        gddrescue,
        gdisk,
        htop,
        iftop,
        iotop,
        iw,
        mtr-tiny,
        multitail,
        ncdu,
        parted ,
        pciutils,
        psmisc,
        sudo,
        time,
        wavemon ,
        wireless-tools,
        wpasupplicant,
## editors
        ed,
        zile,
## networking
        bind9-host,
        bittornado,
        curl,
        dnsutils,
        edbrowse,
        fetchmail,
        ftp,
        geoip-bin,
        irssi,
        lftp,
        links2,
        lrzsz,
        mcabber,
        minicom,
        mosh,
        msmtp,
        mutt,
        netcat,
        net-tools,
        nfacct,
        nrss,
        openssh-client,
        openssh-server,
        procmail,
        rsync,
        telnet,
        tin,
